APM(8)

NAME
apm - Advanced Power Management control program

SYNOPSIS
zzz [-Sz] [-f sockname]
apm [-AabCHLlmPSvz] [-f sockname]

DESCRIPTION
apm communicates with the Advanced Power Management daemon, apmd(8), making requests of it for current power status or to place the system into a suspend or stand-by state. With no flags, apm displays the current power management state in verbose form.

The options are as follows:

-A  Set apmd(8) to automatic performance adjustment mode. In this mode, when CPU idle time falls below 10%, or if the AC power is connected and the battery is more than 15% charged, apm raises hw.setperf to 100. Otherwise when CPU idle time is above 30% and the system is running on battery power, apm lowers hw.setperf as much as possible to reduce power consumption.

-a  Display the external charger (A/C status). 0 means disconnected, 1 means connected, 2 means backup power source, and 255 means unknown.

-b  Display the battery status. 0 means high, 1 means low, 2 means critical, 3 means charging, 4 means absent, and 255 means unknown.

-C  Set apmd(8) to cool running performance adjustment mode. In this mode, when CPU idle time falls below 10%, apm raises hw.setperf as much as necessary. Otherwise when CPU idle time is above 30%, apm lowers hw.setperf as much as possible to reduce heat, noise, and power consumption.

-f sockname
    Set the name of the socket via which to contact apmd(8) to sockname.

-H  Set apmd(8) to manual performance adjustment mode and hw.setperf to 100.

-L  Set apmd(8) to manual performance adjustment mode and hw.setperf to 0.

-l  Display the estimated battery lifetime (in percent).

-m  Display the estimated battery lifetime (in minutes).

-P  Display the performance adjustment mode. 0 means manual mode, 1 means automatic mode, and 2 means cool running mode.

-S  Put the system into stand-by (light sleep) state.

-v  Request more verbose description of the displayed states.

-z  Put the system into suspend (deep sleep) state.

The zzz variant of this command is an alternative for suspending the system. With no arguments, zzz places the system into suspend state. The command line flags serve the same purpose as for the apm variant of this command.

This command does not wait for positive confirmation that the requested state has been entered; to do so would mean the command does not return until the system resumes from its sleep state.

FILES
/var/run/apmdev
    default UNIX-domain socket for communicating with apmd(8)

The -f flag may be used to specify an alternate socket name. The protection modes on this socket govern which users may access the APM functions.

SEE ALSO
apm(4), apmd(8)

Advanced Power Management (APM) BIOS Interface Specification (revision 1.2), Intel Corporation and Microsoft Corporation

HISTORY
The apm command appeared in NetBSD 1.3, OpenBSD support was added in OpenBSD 1.2.